Bug - Fixed Revision number does not display at the top of mafia anymore

Rinn

Developer
Java 8u102 is about 5 years old, although I can't imagine there were any critical bugs that caused manifests to be unparseable.

I suppose, if you're feeling really ambitious, you can try unzipping the jar (easiest way is probably to rename it as a .zip) and opening up the META-INF/MANIFEST.MF file, to see if that has Build-Revision: 25709 or whatever. If not, that points to a problem with the jar you're getting, not your environment. If it does, then back to the drawing board.
I cracked open that jar and the manifest looks fine:

Code:
Manifest-Version: 1.0
Main-Class: net.sourceforge.kolmafia.KoLmafia
Build-Revision: 25709
Build-Branch: HEAD
Build-Commit: 203da09183f1d00c2f9b2e6392fa252a90870dc8
Build-Jdk: 16.0.1 (AdoptOpenJDK 16.0.1+9)
Build-OS: Linux amd64 5.11.0-37-generic
 

ereinion

Member
I just updated to Java SDK 17, and that seems to have fixed it. I guess I am just not used to software not updating automatically :p
 

fewyn

Administrator
Staff member
I just updated to Java SDK 17, and that seems to have fixed it. I guess I am just not used to software not updating automatically :p

Java is one of those things that doesn't.... you typically shouldn't need to upgrade very often only if there are major security flaws but it doesn't notify you anywhere sadly. https://adoptium.net/ is where pretty much everyone is getting it these days
 

Rinn

Developer
This being a Java 8 issue doesn't surprise me but that's still weird it wasn't able to read the manifest. Maybe this is a non-issue since we're planning on moving up the minimum version pretty soon anyway.
 

ereinion

Member
Java is one of those things that doesn't.... you typically shouldn't need to upgrade very often only if there are major security flaws but it doesn't notify you anywhere sadly. https://adoptium.net/ is where pretty much everyone is getting it these days
Oh, I just got the most recent version I saw at oracle.com - does it make much difference where I get it from?
 

fronobulax

Developer
Staff member
I'm building my own from GitHub with git and gradle on Windows and I don't have a problem. But if I need to try and reproduce, let me know.
 

heeheehee

Developer
Staff member
Nah, I think I'm fine declaring this bug "old Java version compatibility issue" and closing it. As of minutes ago, we're now requiring that users upgrade past Java 8.
 

PeKaJe

Member
We tried to tell people.


Hmm, yeah, fair ... but had I not gone in here for an unrelated bug report, I would have just wondered why there were no more SVN updates. I'm just building the daily mafia with my own set of patches and leaving it at that. Maybe someone can do a final commit with a log message saying the repository moved?
 
Top